//
use kameo::message::{Context, Message};

use crate::server::{actor::messages::ShutdownTrigger, ServerActor};

impl Message<ShutdownTrigger> for ServerActor {
    type Reply = ();

    async fn handle(
        &mut self,
        msg: ShutdownTrigger,
        _ctx: Context<'_, Self, Self::Reply>,
    ) -> Self::Reply {
        self.shutdown_trigger.replace(msg.peel());
    }
}
