use serde::Serialize;

use crate::newtype;

newtype!(
    ForgeAlias,
    String,
    Hash,
    PartialOrd,
    Ord,
    derive_more::Display,
    Default,
    Serialize,
    "The name of a Forge to connect to"
);
impl From<&ForgeAlias> for std::path::PathBuf {
    fn from(value: &ForgeAlias) -> Self {
        Self::from(&value.0)
    }
}
