use derive_more::Display;
use serde::Serialize;

use crate::newtype;

newtype!(
    RepoAlias,
    String,
    Display,
    Default,
    Hash,
    PartialOrd,
    Ord,
    Serialize,
    r#"The alias of a repo.

This is the alias for the repo within `git-next-server.toml`."#
);
