use super::*;

#[test_log::test]
fn url_parse_https_url() {
    let url = "https://user:pass@git.host/user/repo.git";

    let result = RemoteUrl::parse(url);

    tracing::debug!(?result);
    assert!(result.is_some());
}

#[test_log::test]
fn url_parse_ssh_url() {
    let url = "git@git.host:user/repo.git";

    let result = RemoteUrl::parse(url);

    tracing::debug!(?result);
    assert!(result.is_some());
}
