//
use super::*;

#[test]
#[ignore] // requires authentication to the server - which the CI doesn't have
fn should_fetch_from_repo() {
    // uses the current repo and fetches from the remote server
    let_assert!(Ok(cwd) = std::env::current_dir());
    let gitdir = GitDir::new(cwd.join("../.."), StoragePathType::External);
    let repo_details = given::repo_details(&given::a_filesystem()).with_gitdir(gitdir);
    let_assert!(Ok(repo) = crate::git::repository::factory::real().open(&repo_details));
    let_assert!(Ok(()) = repo.fetch());
}
