#[macro_export]
macro_rules! message {
    ($name:ident, $value:ty, $docs:literal) => {
        git_next_core::newtype!($name, $value, $docs);
    };
    ($name:ident, $docs:literal) => {
        git_next_core::newtype!($name, $docs);
    };
    ($name:ident, $value:ty => $result:ty, $docs:literal) => {
        git_next_core::newtype!($name, $value, $docs);
    };
    ($name:ident => $result:ty, $docs:literal) => {
        git_next_core::newtype!($name, $docs);
    };
}
