//
use crate as github;

use git_next_core::{git, webhook};

pub fn parse_body(
    body: &webhook::forge_notification::Body,
) -> git::forge::webhook::Result<webhook::push::Push> {
    serde_json::from_str::<github::webhook::Push>(body.as_str())?.try_into()
}
